## r-cran-lifecycle 0.1.0

=== DESCRIPTION ===
Package: lifecycle
Title: Manage the Life Cycle of your Package Functions
Version: 0.1.0
Authors@R: 
    c(
      person(given = "Lionel", family = "Henry", role = c("aut", "cre"), email = "lionel@rstudio.com"),
      person(given = "RStudio", role = "cph")
    )
Description: Manage the life cycle of your exported functions with
    shared conventions, documentation badges, and non-invasive
    deprecation warnings. The 'lifecycle' package defines four
    development stages (experimental, maturing, stable, and
    questioning) and three deprecation stages (soft-deprecated,
    deprecated, and defunct). It makes it easy to insert badges
    corresponding to these stages in your documentation. Usage of
    deprecated functions are signalled with increasing levels of
    non-invasive verbosity.
License: GPL-3
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.2)
Imports: glue, rlang (>= 0.4.0)
Suggests: covr, crayon, knitr, rmarkdown, testthat (>= 2.1.0)
RoxygenNote: 6.1.1
URL: https://github.com/r-lib/lifecycle
BugReports: https://github.com/r-lib/lifecycle/issues
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-07-27 07:28:35 UTC; lionel
Author: Lionel Henry [aut, cre],
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2019-08-01 12:50:05 UTC

=== debian/changelog ===
r-cran-lifecycle (0.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Hack around non-functional test suite

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 10:58:40 +0100

r-cran-lifecycle (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #940675)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Sep 2019 22:38:08 +0200

=== debian/control ===
Source: r-cran-lifecycle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-glue,
               r-cran-rlang (>= 0.4.0)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
Homepage: https://cran.r-project.org/package=lifecycle

Package: r-cran-lifecycle
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: manage the life cycle of your GNU R package functions
 Manage the life cycle of your exported functions with
 shared conventions, documentation badges, and non-invasive
 deprecation warnings. The 'lifecycle' package defines four
 development stages (experimental, maturing, stable, and
 questioning) and three deprecation stages (soft-deprecated,
 deprecated, and defunct). It makes it easy to insert badges
 corresponding to these stages in your documentation. Usage of
 deprecated functions are signalled with increasing levels of
 non-invasive verbosity.

## r-cran-lifecycle 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: lifecycle
 Title: Manage the Life Cycle of your Package Functions
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     c(
       person(given = "Lionel", family = "Henry", role = c("aut", "cre"), email = "lionel@rstudio.com"),
@@ -21,14 +21,14 @@
 Depends: R (>= 3.2)
 Imports: glue, rlang (>= 0.4.0)
 Suggests: covr, crayon, knitr, rmarkdown, testthat (>= 2.1.0)
-RoxygenNote: 6.1.1
-URL: https://github.com/r-lib/lifecycle
+RoxygenNote: 7.0.2
+URL: https://lifecycle.r-lib.org/, https://github.com/r-lib/lifecycle
 BugReports: https://github.com/r-lib/lifecycle/issues
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-07-27 07:28:35 UTC; lionel
+Packaged: 2020-03-06 15:50:11 UTC; lionel
 Author: Lionel Henry [aut, cre],
   RStudio [cph]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-08-01 12:50:05 UTC
+Date/Publication: 2020-03-06 16:20:02 UTC

=== debian/changelog ===
r-cran-lifecycle (0.2.0-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 20:59:15 +0200

r-cran-lifecycle (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Mar 2020 11:52:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                r-base-dev,
                r-cran-glue,
                r-cran-rlang (>= 0.4.0)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
 Homepage: https://cran.r-project.org/package=lifecycle
+Rules-Requires-Root: no
 
 Package: r-cran-lifecycle
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/lifecycle_([-\d.]*)\.tar\.gz

## r-cran-lifecycle 1.0.1

=== DESCRIPTION ===
Package: lifecycle
Title: Manage the Life Cycle of your Package Functions
Version: 1.0.1
Authors@R: 
    c(person(given = "Lionel",
             family = "Henry",
             role = c("aut", "cre"),
             email = "lionel@rstudio.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com",
             comment = c(ORCID = "0000-0003-4757-117X")),
      person(given = "RStudio",
             role = "cph"))
Description: Manage the life cycle of your exported functions
    with shared conventions, documentation badges, and user-friendly
    deprecation warnings.
License: MIT + file LICENSE
URL: https://lifecycle.r-lib.org/, https://github.com/r-lib/lifecycle
BugReports: https://github.com/r-lib/lifecycle/issues
Depends: R (>= 3.3)
Imports: glue, rlang (>= 0.4.10)
Suggests: covr, crayon, lintr, tidyverse, knitr, rmarkdown, testthat
        (>= 3.0.1), tools, tibble, vctrs
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-09-24 14:46:50 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-09-24 15:30:02 UTC

=== debian/changelog ===
r-cran-lifecycle (1.0.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 18:44:47 +0000

r-cran-lifecycle (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 09:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-glue,
-               r-cran-rlang (>= 0.4.0)
-Standards-Version: 4.5.0
+               r-cran-rlang (>= 0.4.10)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
 Homepage: https://cran.r-project.org/package=lifecycle

## r-cran-lifecycle 1.0.3%2Bdfsg

=== DESCRIPTION ===
Package: lifecycle
Title: Manage the Life Cycle of your Package Functions
Version: 1.0.3
Authors@R: c(
    person("Lionel", "Henry", , "lionel@rstudio.com", role = c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Manage the life cycle of your exported functions with shared
    conventions, documentation badges, and user-friendly deprecation
    warnings.
License: MIT + file LICENSE
URL: https://lifecycle.r-lib.org/, https://github.com/r-lib/lifecycle
BugReports: https://github.com/r-lib/lifecycle/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.4.0), glue, rlang (>= 1.0.6)
Suggests: covr, crayon, knitr, lintr, rmarkdown, testthat (>= 3.0.1),
        tibble, tidyverse, tools, vctrs, withr
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-10-07 08:50:55 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  RStudio [cph, fnd]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2022-10-07 09:50:02 UTC

## r-cran-lifecycle 1.0.3+dfsg

=== debian/changelog ===
r-cran-lifecycle (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 11:54:39 +0200

r-cran-lifecycle (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS
  * lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 15:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: r-cran-lifecycle
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
+Homepage: https://cran.r-project.org/package=lifecycle
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cli (>= 3.4.0),
                r-cran-glue,
-               r-cran-rlang (>= 0.4.10)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
-Homepage: https://cran.r-project.org/package=lifecycle
-Rules-Requires-Root: no
+               r-cran-rlang (>= 1.0.6)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lifecycle
 Architecture: all

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/lifecycle_([-\d.]*)\.tar\.gz

## r-cran-lifecycle 1.0.4+dfsg

=== DESCRIPTION ===
Package: lifecycle
Title: Manage the Life Cycle of your Package Functions
Version: 1.0.4
Authors@R: c(
    person("Lionel", "Henry", , "lionel@posit.co", role = c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Manage the life cycle of your exported functions with shared
    conventions, documentation badges, and user-friendly deprecation
    warnings.
License: MIT + file LICENSE
URL: https://lifecycle.r-lib.org/, https://github.com/r-lib/lifecycle
BugReports: https://github.com/r-lib/lifecycle/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.4.0), glue, rlang (>= 1.1.0)
Suggests: covr, crayon, knitr, lintr, rmarkdown, testthat (>= 3.0.1),
        tibble, tidyverse, tools, vctrs, withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate, usethis
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2023-11-06 16:07:36 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Posit Software, PBC [cph, fnd]
Maintainer: Lionel Henry <lionel@posit.co>
Repository: CRAN
Date/Publication: 2023-11-07 10:10:10 UTC

=== debian/changelog ===
r-cran-lifecycle (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 10:51:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
 Homepage: https://cran.r-project.org/package=lifecycle
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.4.0),
                r-cran-glue,
-               r-cran-rlang (>= 1.0.6)
+               r-cran-rlang (>= 1.1.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lifecycle

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-crayon,
        r-cran-knitr,
        r-cran-lintr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.1),
        r-cran-tibble,
        r-cran-tidyverse,
        r-cran-vctrs,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-lifecycle 1.0.5+dfsg

=== DESCRIPTION ===
Package: lifecycle
Title: Manage the Life Cycle of your Package Functions
Version: 1.0.5
Authors@R: c(
    person("Lionel", "Henry", , "lionel@posit.co", role = c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Manage the life cycle of your exported functions with shared
    conventions, documentation badges, and user-friendly deprecation
    warnings.
License: MIT + file LICENSE
URL: https://lifecycle.r-lib.org/, https://github.com/r-lib/lifecycle
BugReports: https://github.com/r-lib/lifecycle/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.4.0), rlang (>= 1.1.0)
Suggests: covr, knitr, lintr (>= 3.1.0), rmarkdown, testthat (>=
        3.0.1), tibble, tidyverse, tools, vctrs, withr, xml2
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate, usethis
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-01-07 15:00:49 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut] (ORCID: <https://orcid.org/0000-0003-4757-117X>),
  Posit Software, PBC [cph, fnd]
Maintainer: Lionel Henry <lionel@posit.co>
Repository: CRAN
Date/Publication: 2026-01-08 08:00:02 UTC

=== debian/changelog ===
r-cran-lifecycle (1.0.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 15 Jan 2026 15:13:11 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-lifecycle
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli,
+               r-cran-rlang (>= 1.1.0),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lifecycle.git
 Homepage: https://cran.r-project.org/package=lifecycle
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-cli (>= 3.4.0),
-               r-cran-glue,
-               r-cran-rlang (>= 1.1.0)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-lifecycle
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-lintr (>= 3.1.0),
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.1),
        r-cran-tibble,
        r-cran-tidyverse,
        r-cran-vctrs,
        r-cran-withr,
        r-cran-xml2
Restrictions: allow-stderr
